Skip to main content
`Ctrl`+`K`

# TaoInitializePackage

This function sets up PETSc to use the Tao package. When using static or shared libraries, this function is called from the first entry to `TaoCreate()`; when using shared or static libraries, it is called from PetscDLLibraryRegister_tao()

## Synopsis

    PetscErrorCode TaoInitializePackage(void)

## Note

This function never needs to be called by PETSc users.

## See Also

`TaoCreate()`, `TaoFinalizePackage()`, `TaoRegister()`, `TaoRegisterAll()`

## Level

developer

## Location

src/tao/interface/dlregistao.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages